## com.sun.pdfview.font.ttf
Class MaxpTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.MaxpTable

    public class MaxpTable

extends TrueTypeTable

Field Summary

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` `MaxpTable()` Creates a new instance of MaxpTable

Method Summary
`java.nio.ByteBuffer` `getData()` Get a buffer from the data
`int` `getLength()` Get the length of this table
`short` `getMaxComponentContours()` Getter for property maxComponentContours.
`short` `getMaxComponentDepth()` Getter for property maxComponentDepth.
`short` `getMaxComponentElements()` Getter for property maxComponentElements.
`short` `getMaxComponentPoints()` Getter for property maxComponentPoints.
`short` `getMaxContours()` Getter for property maxContours.
`short` `getMaxFunctionDefs()` Getter for property maxFunctionDefs.
`short` `getMaxInstructionDefs()` Getter for property maxInstructionDefs.
`short` `getMaxPoints()` Getter for property maxPoints.
`short` `getMaxSizeOfInstructions()` Getter for property maxSizeOfInstructions.
`short` `getMaxStackElements()` Getter for property maxStackElements.
`short` `getMaxStorage()` Getter for property maxStorage.
`short` `getMaxTwilightPoints()` Getter for property maxTwilightPoints.
`short` `getMaxZones()` Getter for property maxZones.
`short` `getNumGlyphs()` Getter for property numGlyphs.
`int` `getVersion()` Getter for property version.
`void` `setData(java.nio.ByteBuffer data)` Set the values from data
`void` `setMaxComponentContours(short maxComponentContours)` Setter for property maxComponentContours.
`void` `setMaxComponentDepth(short maxComponentDepth)` Setter for property maxComponentDepth.
`void` `setMaxComponentElements(short maxComponentElements)` Setter for property maxComponentElements.
`void` `setMaxComponentPoints(short maxComponentPoints)` Setter for property maxComponentPoints.
`void` `setMaxContours(short maxContours)` Setter for property maxContours.
`void` `setMaxFunctionDefs(short maxFunctionDefs)` Setter for property maxFunctionDefs.
`void` `setMaxInstructionDefs(short maxInstructionDefs)` Setter for property maxInstructionDefs.
`void` `setMaxPoints(short maxPoints)` Setter for property maxPoints.
`void` `setMaxSizeOfInstructions(short maxSizeOfInstructions)` Setter for property maxSizeOfInstructions.
`void` `setMaxStackElements(short maxStackElements)` Setter for property maxStackElements.
`void` `setMaxStorage(short maxStorage)` Setter for property maxStorage.
`void` `setMaxTwilightPoints(short maxTwilightPoints)` Setter for property maxTwilightPoints.
`void` `setMaxZones(short maxZones)` Setter for property maxZones.
`void` `setNumGlyphs(short numGlyphs)` Setter for property numGlyphs.
`void` `setVersion(int version)` Setter for property version.
`java.lang.String` `toString()` Create a pretty String

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxpTable

    protected MaxpTable()

  Creates a new instance of MaxpTable

Method Detail

### setData

    public void setData(java.nio.ByteBuffer data)

  Set the values from data

  Overrides:
    `setData` in class `TrueTypeTable`

### getData

    public java.nio.ByteBuffer getData()

  Get a buffer from the data

  Overrides:
    `getData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the length of this table

  Overrides:
    `getLength` in class `TrueTypeTable`

### getVersion

    public int getVersion()

  Getter for property version.

  Returns:
    Value of property version.

### setVersion

    public void setVersion(int version)

  Setter for property version.

  Parameters:
    `version` - New value of property version.

### getNumGlyphs

    public short getNumGlyphs()

  Getter for property numGlyphs.

  Returns:
    Value of property numGlyphs.

### setNumGlyphs

    public void setNumGlyphs(short numGlyphs)

  Setter for property numGlyphs.

  Parameters:
    `numGlyphs` - New value of property numGlyphs.

### getMaxPoints

    public short getMaxPoints()

  Getter for property maxPoints.

  Returns:
    Value of property maxPoints.

### setMaxPoints

    public void setMaxPoints(short maxPoints)

  Setter for property maxPoints.

  Parameters:
    `maxPoints` - New value of property maxPoints.

### getMaxContours

    public short getMaxContours()

  Getter for property maxContours.

  Returns:
    Value of property maxContours.

### setMaxContours

    public void setMaxContours(short maxContours)

  Setter for property maxContours.

  Parameters:
    `maxContours` - New value of property maxContours.

### getMaxComponentPoints

    public short getMaxComponentPoints()

  Getter for property maxComponentPoints.

  Returns:
    Value of property maxComponentPoints.

### setMaxComponentPoints

    public void setMaxComponentPoints(short maxComponentPoints)

  Setter for property maxComponentPoints.

  Parameters:
    `maxComponentPoints` - New value of property maxComponentPoints.

### getMaxComponentContours

    public short getMaxComponentContours()

  Getter for property maxComponentContours.

  Returns:
    Value of property maxComponentContours.

### setMaxComponentContours

    public void setMaxComponentContours(short maxComponentContours)

  Setter for property maxComponentContours.

  Parameters:
    `maxComponentContours` - New value of property maxComponentContours.

### getMaxZones

    public short getMaxZones()

  Getter for property maxZones.

  Returns:
    Value of property maxZones.

### setMaxZones

    public void setMaxZones(short maxZones)

  Setter for property maxZones.

  Parameters:
    `maxZones` - New value of property maxZones.

### getMaxTwilightPoints

    public short getMaxTwilightPoints()

  Getter for property maxTwilightPoints.

  Returns:
    Value of property maxTwilightPoints.

### setMaxTwilightPoints

    public void setMaxTwilightPoints(short maxTwilightPoints)

  Setter for property maxTwilightPoints.

  Parameters:
    `maxTwilightPoints` - New value of property maxTwilightPoints.

### getMaxStorage

    public short getMaxStorage()

  Getter for property maxStorage.

  Returns:
    Value of property maxStorage.

### setMaxStorage

    public void setMaxStorage(short maxStorage)

  Setter for property maxStorage.

  Parameters:
    `maxStorage` - New value of property maxStorage.

### getMaxFunctionDefs

    public short getMaxFunctionDefs()

  Getter for property maxFunctionDefs.

  Returns:
    Value of property maxFunctionDefs.

### setMaxFunctionDefs

    public void setMaxFunctionDefs(short maxFunctionDefs)

  Setter for property maxFunctionDefs.

  Parameters:
    `maxFunctionDefs` - New value of property maxFunctionDefs.

### getMaxInstructionDefs

    public short getMaxInstructionDefs()

  Getter for property maxInstructionDefs.

  Returns:
    Value of property maxInstructionDefs.

### setMaxInstructionDefs

    public void setMaxInstructionDefs(short maxInstructionDefs)

  Setter for property maxInstructionDefs.

  Parameters:
    `maxInstructionDefs` - New value of property maxInstructionDefs.

### getMaxStackElements

    public short getMaxStackElements()

  Getter for property maxStackElements.

  Returns:
    Value of property maxStackElements.

### setMaxStackElements

    public void setMaxStackElements(short maxStackElements)

  Setter for property maxStackElements.

  Parameters:
    `maxStackElements` - New value of property maxStackElements.

### getMaxSizeOfInstructions

    public short getMaxSizeOfInstructions()

  Getter for property maxSizeOfInstructions.

  Returns:
    Value of property maxSizeOfInstructions.

### setMaxSizeOfInstructions

    public void setMaxSizeOfInstructions(short maxSizeOfInstructions)

  Setter for property maxSizeOfInstructions.

  Parameters:
    `maxSizeOfInstructions` - New value of property maxSizeOfInstructions.

### getMaxComponentElements

    public short getMaxComponentElements()

  Getter for property maxComponentElements.

  Returns:
    Value of property maxComponentElements.

### setMaxComponentElements

    public void setMaxComponentElements(short maxComponentElements)

  Setter for property maxComponentElements.

  Parameters:
    `maxComponentElements` - New value of property maxComponentElements.

### getMaxComponentDepth

    public short getMaxComponentDepth()

  Getter for property maxComponentDepth.

  Returns:
    Value of property maxComponentDepth.

### setMaxComponentDepth

    public void setMaxComponentDepth(short maxComponentDepth)

  Setter for property maxComponentDepth.

  Parameters:
    `maxComponentDepth` - New value of property maxComponentDepth.

### toString

    public java.lang.String toString()

  Create a pretty String

  Overrides:
    `toString` in class `TrueTypeTable`